curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "12345",
"name": "Acme Corp",
"status": "ACTIVE",
"sandbox": true,
"primaryCurrency": "USD",
"brandCountries": [
"AD"
],
"preferredTimezone": "Europe/Amsterdam",
"reportingTimezoneLocked": true,
"channels": [
"display"
],
"currencyLocked": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"linkedAccountCount": 3,
"brand": "nike.com",
"linkedBrand": {
"id": "brand_123",
"name": "Acme Brand",
"domain": "acme.com",
"manifest": {
"name": "Acme Corporation",
"url": "https://www.acme.com",
"logos": [
{
"url": "<string>",
"tags": [
"<string>"
],
"background": "dark-bg",
"width": 4503599627370495,
"height": 4503599627370495
}
],
"colors": {
"primary": "#FF5733",
"secondary": "<string>",
"accent": "<string>",
"background": "<string>",
"text": "<string>"
},
"fonts": {
"primary": "Roboto",
"secondary": "<string>",
"fontUrls": [
"<string>"
]
},
"tone": "Professional, friendly, and innovative",
"tagline": "Innovation for Everyone",
"assets": [
{
"assetId": "<string>",
"assetType": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"width": 4503599627370495,
"height": 4503599627370495,
"durationSeconds": 1,
"fileSizeBytes": 4503599627370495,
"format": "<string>",
"metadata": {}
}
],
"productCatalog": {
"feedUrl": "<string>",
"feedFormat": "google_merchant_center",
"categories": [
"<string>"
],
"lastUpdated": "2023-11-07T05:31:56Z",
"updateFrequency": "realtime"
},
"disclaimers": [
{
"text": "<string>",
"required": true,
"context": "<string>"
}
],
"industry": "Technology",
"advertiserIndustry": "food_beverage.restaurants",
"targetAudience": "Small business owners aged 25-45",
"contact": {
"email": "jsmith@example.com",
"phone": "<string>",
"website": "<string>"
},
"metadata": {
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"version": "1.0.0"
}
},
"logoUrl": "https://acme.com/logo.png",
"industry": "Technology",
"colors": {
"primary": "#FF5733"
},
"tagline": "Innovation for Everyone",
"tone": "Professional, friendly, and innovative"
}
}
],
"total": 42,
"hasMore": true,
"nextOffset": 4503599627370495,
"currentAdvertiserId": "12345"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}List advertisers
List all advertisers with optional filtering and pagination.
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "12345",
"name": "Acme Corp",
"status": "ACTIVE",
"sandbox": true,
"primaryCurrency": "USD",
"brandCountries": [
"AD"
],
"preferredTimezone": "Europe/Amsterdam",
"reportingTimezoneLocked": true,
"channels": [
"display"
],
"currencyLocked": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"linkedAccountCount": 3,
"brand": "nike.com",
"linkedBrand": {
"id": "brand_123",
"name": "Acme Brand",
"domain": "acme.com",
"manifest": {
"name": "Acme Corporation",
"url": "https://www.acme.com",
"logos": [
{
"url": "<string>",
"tags": [
"<string>"
],
"background": "dark-bg",
"width": 4503599627370495,
"height": 4503599627370495
}
],
"colors": {
"primary": "#FF5733",
"secondary": "<string>",
"accent": "<string>",
"background": "<string>",
"text": "<string>"
},
"fonts": {
"primary": "Roboto",
"secondary": "<string>",
"fontUrls": [
"<string>"
]
},
"tone": "Professional, friendly, and innovative",
"tagline": "Innovation for Everyone",
"assets": [
{
"assetId": "<string>",
"assetType": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"width": 4503599627370495,
"height": 4503599627370495,
"durationSeconds": 1,
"fileSizeBytes": 4503599627370495,
"format": "<string>",
"metadata": {}
}
],
"productCatalog": {
"feedUrl": "<string>",
"feedFormat": "google_merchant_center",
"categories": [
"<string>"
],
"lastUpdated": "2023-11-07T05:31:56Z",
"updateFrequency": "realtime"
},
"disclaimers": [
{
"text": "<string>",
"required": true,
"context": "<string>"
}
],
"industry": "Technology",
"advertiserIndustry": "food_beverage.restaurants",
"targetAudience": "Small business owners aged 25-45",
"contact": {
"email": "jsmith@example.com",
"phone": "<string>",
"website": "<string>"
},
"metadata": {
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"version": "1.0.0"
}
},
"logoUrl": "https://acme.com/logo.png",
"industry": "Technology",
"colors": {
"primary": "#FF5733"
},
"tagline": "Innovation for Everyone",
"tone": "Professional, friendly, and innovative"
}
}
],
"total": 42,
"hasMore": true,
"nextOffset": 4503599627370495,
"currentAdvertiserId": "12345"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Filter by advertiser status. Use ALL to include both active and archived. Defaults to ACTIVE.
ACTIVE, ARCHIVED, ALL Filter by advertiser name (case-insensitive, partial match)
"Acme"
Search advertiser names or IDs before pagination. Name matching is case-insensitive; both names and IDs support partial matches.
1 - 200"12345"
Filter to advertisers linked to at least one account from this partner / sales agent ID.
"snap"
Filter by sandbox mode. true returns only sandbox advertisers, false returns only production advertisers. Omit to return all.
When true, include linked brand identity data on advertiser summary rows so creative agents can use brand logos, colors, tone, and catalog data.
Maximum number of advertisers to return per page (default: 100, max: 100)
0 < x <= 100100
Number of advertisers to skip for pagination (default: 0)
0 <= x <= 90071992547409910
Response
List advertisers
Response containing a paginated list of advertiser summaries
Advertisers projected to the summary shape. Use get_advertiser for the full resource.
Show child attributes
Show child attributes
Total count of advertisers matching the query
0 <= x <= 900719925474099142
Whether there are more results available
Offset to use for the next page of results, or null if no more results
0 <= x <= 9007199254740991The advertiser ID currently scoped by the caller (from X-SCOPE3-SEAT-ID header). Present only when the caller has an active advertiser scope (AI-5568). Used by the all-advertisers-home widget to mark the current advertiser.
"12345"